define([
  'json!locales/en.json',
  // 'json!locales/de.json',
  // 'json!locales/fr.json',
  'json!locales/ru.json',
  'json!locales/uk.json'
], function(
  en,
  ru,
  uk
  // de,
  // fr
) {
  'use strict';
  return [
    '$translateProvider',
  function(
    $translateProvider
  ) {
    // Simply register translation table as object hash
    $translateProvider
      .translations('en', en)
      .translations('ru', ru)
      .translations('uk', uk)
      // .translations('de', de)
      // .translations('fr', fr)

      .registerAvailableLanguageKeys([
        'en',
        'ru',
        'uk'
        // 'de',
        // 'fr'
      ])
      // .preferredLanguage('en')
      .preferredLanguage('uk')

      // using the determinePreferredLanguage()
      // would lead to use something like "en_US"
      // .determinePreferredLanguage()
      .fallbackLanguage('ru')
      .fallbackLanguage('en')
    ;
  }];
});
